Page MenuHomePhabricator

Remove "hiderevision" permission from the Oversight group
Closed, ResolvedPublic

Description

Author: mcdevitd

Description:
As RevisionDelete is now operational for oversighters on enwiki, please remove the "deleterevision" permission from the oversight group. It seems that some oversighters are still using the old Oversight extension instead of RevisionDelete, when the only reason the oversight extension isn't disabled should be so that the oversight log is still viewable (a different permission).


Version: unspecified
Severity: normal

Details

Reference
bz18511

Event Timeline

bzimport raised the priority of this task from to Low.Nov 21 2014, 10:33 PM
bzimport set Reference to bz18511.
bzimport added a subscriber: Unknown Object (MLST).

mcdevitd wrote:

Sorry, I meant "hiderevision," obviously. :-)

mike.lifeguard+bugs wrote:

One would think that'd apply to all of Wikimedia, but only when we're actually sure that revision deletion is 100% ready to supplant Oversight. That's not yet the case, AFAIK, so I think this should be closed as LATER.

mcdevitd wrote:

What I am requesting is a stopgap anyway. When the developers feel that oversight can be safely disabled, they will, but not this way; it doesn't make sense to say this should wait. This is simply so that people don't continue to use oversight for revision hiding when it has certain concrete problems that RevisionDeletion fixes (misattribution, irreversibility, etc.)

I believe you should show some consensus for any group permissions changes, no
matter how big or small the change is, especially when dealing with
en.wikipedia.

Also re-assigning to wikibugs-l@lists.wikimedia.org since the original
assigning to brion was a byproduct of the original component (oversight
extension) choice.

happy.melon.wiki wrote:

No way will or should this happen without consensus, in this case, a consensus that includes the oversighters themselves. If that consensus existed, there would be no need for the bug because oversighters would not be using the Oversight extension *anyway*. I fully agree that the extension should be phased out, but brute-force 'us vs them' approaches like this are not the way to do it. LATER, at best.

It's probably sensible to ask oversighters first whether revision deletion is meeting their needs, but it seems sensible to leave the bug open in the meantime so that it might attract comments.

happy.melon.wiki wrote:

Not sure what relevant comments we're expecting, but 'meh' :D

Sj added a comment.Apr 26 2009, 2:45 PM

This seems like a very good idea.

This was discussed on the stewards mailing list. There is consensus among stewards for an immediate transition (ideally followed at some point by bug 18598).

FT2.wiki wrote:

(Copying from an email sent earlier today on this topic, with minor edits)

As an oversighter,I have very rarely used oversight for quite some time now, and if I do, it's after some reflection.

The main reason I would use oversight, and why we still have use for that tool, is that there are cases where it is important the edit vanishes and is not merely marked as "deleted". Not at all common, but it happens. Trivial examples:

1/ A stalker/harasser leaves a "love note" for their target - they post as an IP or throwaway sock. They don't care if it's deleted/hidden/suppressed, because the "[deleted]" comment will remain, their target will know they were "visited" and are still being targeted, and that's the effect they are after. We do have a couple of people like this.

2/ [Deleted - BEANS. Will provide on request to developers/stewards/cu/os, etc.]

As said, I don't use Oversight much these days (3 times in Feb, once in April, compared with about 120 using suppression for March-April), but until RevisionDeleted has an option "Hide existance of revision from users unable to see it", I can see oversight still being needed at times, in some very serious kinds of cases.

I would therefore be reluctant to see it removed without some kind of confirmation by oversighters that its absence would not reduce their ability to do the job in serious cases of this kind.

aaron added a comment.Apr 29 2009, 4:34 AM

Note that at least a good coupe of weeks should pass before this is done to iron out some of the remaining rev_deleted issues.

As FT2 points out, the Oversight tool has functionality that isnt included in RevisionDelete. I would like to see that fixed, otherwise the SOP methods of dealing with some issues will not be possible.

mike.lifeguard+bugs wrote:

(In reply to comment #11)

Note that at least a good coupe of weeks should pass before this is done to
iron out some of the remaining rev_deleted issues.

Which issues were those & did they get resolved?

The only issues I'm aware of don't affect the oversight -> revision deletion transition (they're about UI/workflow and/or new features in revision deletion that were never available from oversight).

aaron added a comment.Aug 1 2009, 8:27 PM

"2/ [Deleted - BEANS. Will provide on request to developers/stewards/cu/os,
etc.]"

How does the BEANS scenario work?

mike.lifeguard+bugs wrote:

FTR, I did look through open revision deletion bugs and although there is still work to do, I didn't see anything that'd block this from being done. The relevant ones are bug 18472 and bug 18598.

Reedy added a comment.Jul 8 2011, 10:49 PM

Is there anything still to do here?

Restricted Application added subscribers: JEumerus, Matanya. · View Herald TranscriptAug 5 2016, 2:26 PM